Skip to main content
POST
/
api-tools
/
import-openapi
/
{instance}
Import tools from an OpenAPI spec
curl --request POST \
  --url https://api.zapthinker.com/api-tools/import-openapi/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "connectionId": "<string>",
  "specUrl": "<string>",
  "filterPaths": "<string>",
  "filterTags": [
    "<string>"
  ],
  "overwrite": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json
connectionId
string
required

ID da conexão de API

specUrl
string
required

URL da especificação OpenAPI

filterPaths
string

Filtrar paths (glob pattern)

filterTags
string[]

Filtrar por tags

overwrite
boolean

Sobrescrever ferramentas existentes

Response

200 - application/json

Ferramentas importadas com sucesso

The response is of type object.